%global srcname idna
%global sum Internationalized Domain Names in Applications (IDNA)
%global desc \
A library to support the Internationalised Domain Names in Applications (IDNA) \
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This \
version of the protocol is often referred to as "IDNA2008" and can produce \
different results from the earlier standard from 2003. \
\
The library is also intended to act as a suitable drop-in replacement for the \
"encodings.idna" module that comes with the Python standard library but \
currently only supports the older 2003 specification.


Name:           python3-%{srcname}
Version:        2.1
Release:        2%{?dist}
Summary:        %{sum}

License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://pypi.io/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description %{desc}

%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{desc}
%endif

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname} %{desc}
%endif

%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build
%py3_other_build

%install
%py3_install
%py3_other_install

%check
%{__python3} setup.py test
%{__python3_other} setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.rst
%doc README.rst HISTORY.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%license LICENSE.rst
%doc README.rst HISTORY.rst
%{python3_other_sitelib}/%{srcname}
%{python3_other_sitelib}/%{srcname}-%{version}-py%{python3_other_version}.egg-info
%endif

%changelog
* Thu Oct 19 2017 Aurelien Bompard <abompard@fedoraproject.org> - 2.1-2
- Build for python3_other

* Wed Dec 7 2016 Orion Poplawski <orion@cora.nwra.com> - 2.1-1
- Initial EPEL package
